function LizzeGameSocketObject(_socketMessage)
{
	this.socketMessage;
	this.parameterName;
	this.stringValue;
	this.boolValue;
	//this.intValue;
	//this.floatValue;
	
	this.parseMessage = function()
	{
		if(this.socketMessage.indexOf("lizzeGame") >= 0)
		{
			var messageComponents = this.socketMessage.split(':');
			var parameterComponents = messageComponents[1].split('=');
			this.parameterName = parameterComponents[0];
			this.stringValue = parameterComponents[1];
			
			if(this.stringValue.toLowerCase().indexOf("true") >= 0)
			{
				this.boolValue = true;
				
			}
			else if(this.stringValue.toLowerCase().indexOf("false") >= 0)
			{
				this.boolValue = false;
			}
			
			//int.TryParse(stringValue, this.intValue);
			//float.TryParse(stringValue, this.floatValue);
		}
		else
		{
			console.log("No lizzeGame message: " + this.socketMessage);
		}
	};
	
	this.ToString = function()
	{
		return "LizzeGameSocketObject: lizzeGame: " + this.parameterName + " = " + this.stringValue;
	};
	
	this.socketMessage = _socketMessage;
	this.parseMessage();
}